%global debug_package %{nil}

Name:         libloragw
Version:      4.0.0

Summary:      The LoRa concentrator Hardware Abstraction Layer
Group:        System/Libraries
URL:          https://github.com/devttys0/libmpsse
License:      BSD

Source:       %name-%version.tar.gz
BuildRequires: libmpsse-devel libftdi-devel
Release: 1%{?dist}

%description
The LoRa concentrator Hardware Abstraction Layer is a C library that allow you
to use a Semtech concentrator chip through a reduced number of high level C
functions to configure the hardware, send and receive packets.

The Semtech LoRa concentrator is a digital multi-channel multi-standard packet
radio used to send and receive packets wirelessly using LoRa or FSK modulations.

2. Components of the library
----------------------------

The library is composed of 6(8) modules:

* loragw_hal
* loragw_reg
* loragw_spi
* loragw_aux
* loragw_gps
* loragw_radio
* loragw_fpga (only for SX1301AP2 ref design)
* loragw_lbt (only for SX1301AP2 ref design)


%package devel
Summary: Development files for %name.
Group:   System/Libraries
Requires: %name = %version

%description devel
The LoRa concentrator Hardware Abstraction Layer, development files.

%prep 
%setup -q -n  libloragw

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc readme.md
%_libdir/*.so

%files devel
%_includedir/libloragw/*
%_libdir/*.a

%changelog
* Wed Aug 09 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 20161223-alt2
- Switched to libftdi1.

* Thu Dec 22 2016 Vladislav Zavjalov <slazav@altlinux.org> 20161223-alt1
- build for altlinux, latest github version
- built without python, with libftdi
